
name: "Continuous Integration"

on:
  pull_request:
    branches:
      - "*.x"
  push:
    branches:
      - "*.x"

jobs:
  phpunit:
    name: "PHPUnit"
    uses: "doctrine/.github/.github/workflows/continuous-integration.yml@5.0.1"
    with:
      php-versions: '["7.2", "7.3", "7.4", "8.0", "8.1", "8.2", "8.3"]'
    secrets:
      CODECOV_TOKEN: "${{ secrets.CODECOV_TOKEN }}"

  phpunit-with-dev-deps:
    name: "PHPUnit with dev dependencies"
    uses: "doctrine/.github/.github/workflows/continuous-integration-symfony-unstable.yml@5.0.1"
    with:
      symfony-version-constraint: "^7"
    secrets:
      CODECOV_TOKEN: "${{ secrets.CODECOV_TOKEN }}"
